## node-jsprim 2.0.1

=== Makefile ===
#
# Copyright (c) 2012, Joyent, Inc. All rights reserved.
#
# Makefile: top-level Makefile
#
# This Makefile contains only repo-specific logic and uses included makefiles
# to supply common targets (javascriptlint, jsstyle, restdown, etc.), which are
# used by other repos as well.
#

#
# Tools
#
NPM		?= npm

#
# Files
#
JS_FILES	:= $(shell find lib test -name '*.js')
JSL_FILES_NODE   = $(JS_FILES)
JSSTYLE_FILES	 = $(JS_FILES)
JSL_CONF_NODE	 = jsl.node.conf

.PHONY: all
all:
	$(NPM) install

.PHONY: test
test:
	node test/basic.js
	node test/validate.js
	node test/hrtimediff.js
	node test/hrtimesecs.js
	node test/hrtimeadd.js
	node test/extraprops.js
	node test/merge.js
	node test/parse-integer.js
	@echo tests okay

include ./Makefile.targ

## node-jsprim 1.4.0

=== debian/changelog ===
node-jsprim (1.4.0-1) unstable; urgency=low

  * Initial release (Closes: #862016)

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 May 2017 18:35:46 +0530

=== debian/control ===
Source: node-jsprim
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , node-assert-plus (>= 1.0.0)
 , node-extsprintf (>= 1.0.2)
 , node-json-schema (>= 0.2.3)
 , node-verror (>= 1.3.6)
Standards-Version: 3.9.8
Homepage: https://github.com/joyent/node-jsprim#readme
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-jsprim.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-jsprim.git

Package: node-jsprim
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-assert-plus (>= 1.0.0)
 , node-extsprintf (>= 1.0.2)
 , node-json-schema (>= 0.2.3)
 , node-verror (>= 1.3.6)
Description: utilities for primitive JavaScript types
 This module provides miscellaneous facilities for working with strings,
 numbers, dates, and objects and arrays of these basic types.
 .
 This library is a dependency for webpack. Webpack takes code targeted at
 node.js and makes it run in the browser. Node.js comes with API of its own
 that is not available in the browsers. Webpack exposes this code
 to programs that are unaware they are running in a browser.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: node-jsprim

Test-Command: make test
Depends: @, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-jsprim-$1.tar.gz/ \
 https://github.com/joyent/node-jsprim/tags .*/archive/v?([\d\.]+).tar.gz

## node-jsprim 1.4.1

=== debian/changelog ===
node-jsprim (1.4.1-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Use pkg-js-tools auto test & install
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * New upstream version 1.4.1
  * Set debian/nodejs/files

 -- Xavier Guimard <yadd@debian.org>  Sun, 08 Mar 2020 11:54:24 +0100

=== debian/control ===
Source: node-jsprim
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 12)
 , node-assert-plus
 , node-extsprintf
 , node-json-schema
 , node-verror
 , pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-jsprim
Vcs-Git: https://salsa.debian.org/js-team/node-jsprim.git
Homepage: https://github.com/joyent/node-jsprim
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-jsprim
Architecture: all
Depends: ${misc:Depends}
 , node-assert-plus
 , node-extsprintf
 , node-json-schema
 , node-verror
 , nodejs
Description: utilities for primitive JavaScript types
 This module provides miscellaneous facilities for working with strings,
 numbers, dates, and objects and arrays of these basic types.
 .
 This library is a dependency for webpack. Webpack takes code targeted at
 node.js and makes it run in the browser. Node.js comes with API of its own
 that is not available in the browsers. Webpack exposes this code
 to programs that are unaware they are running in a browser.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-jsprim 2.0.0

=== debian/changelog ===
node-jsprim (2.0.0-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * New upstream version 2.0.0

 -- Xavier Guimard <yadd@debian.org>  Wed, 02 Dec 2020 06:18:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
  , node-assert-plus
  , node-extsprintf
  , node-json-schema
  , node-verror
- , pkg-js-tools (>= 0.9.20~)
-Standards-Version: 4.5.0
+ , dh-sequence-nodejs
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-jsprim
 Vcs-Git: https://salsa.debian.org/js-team/node-jsprim.git
 Homepage: https://github.com/joyent/node-jsprim

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-jsprim-$1.tar.gz/ \
 https://github.com/joyent/node-jsprim/tags .*/archive/v?([\d\.]+).tar.gz

## node-jsprim 2.0.1

=== debian/changelog ===
node-jsprim (2.0.1-1) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed
  * Fix filenamemangle
  * Drop nodejs dependency
  * Mark test dependencies with <!nocheck>
  * Drop debian/nodejs/files and require dh-sequence-nodejs ≥ 0.9.57~
  * New upstream version 2.0.1

 -- Yadd <yadd@debian.org>  Fri, 12 Nov 2021 15:05:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13)
- , node-assert-plus
- , node-extsprintf
- , node-json-schema
- , node-verror
- , dh-sequence-nodejs
-Standards-Version: 4.5.1
+ , dh-sequence-nodejs (>= 0.9.57~)
+ , node-assert-plus <!nocheck>
+ , node-extsprintf <!nocheck>
+ , node-json-schema <!nocheck>
+ , node-verror <!nocheck>
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-jsprim
 Vcs-Git: https://salsa.debian.org/js-team/node-jsprim.git
 Homepage: https://github.com/joyent/node-jsprim
@@ -23,7 +23,6 @@
  , node-extsprintf
  , node-json-schema
  , node-verror
- , nodejs
 Description: utilities for primitive JavaScript types
  This module provides miscellaneous facilities for working with strings,
  numbers, dates, and objects and arrays of these basic types.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jsprim-$1/ \
 https://github.com/joyent/node-jsprim/tags .*/archive/.*/v?([\d\.]+).tar.gz
